const int Pin_Rot = 3;
const int Pin_Gruen = 5;
const int Pin_Blau = 6;
const int Pin_Taster = 9;

void setup() {
  //Initialisiere die Pins
  pinMode(Pin_Rot, OUTPUT);
  pinMode(Pin_Gruen, OUTPUT);
  pinMode(Pin_Blau, OUTPUT);
  pinMode(Pin_Taster, INPUT);
  digitalWrite(Pin_Taster, HIGH);
}

int derzeitige_Farbe = 0; //Welche Farbnummer wird angezeigt?
long Zeit = 0;

void loop() {
  //Wird der Taster gerade gedrückt?
  if (!digitalRead(Pin_Taster)) {
    derzeitige_Farbe++; //Wähle die nächste Farbe aus
    delay(500);
  }
  if (derzeitige_Farbe == 0) {
    analogWrite(Pin_Rot, 0);
    analogWrite(Pin_Gruen, 255);
    analogWrite(Pin_Blau, 0);
  } else if (derzeitige_Farbe == 1) {
    analogWrite(Pin_Rot, 255);
    analogWrite(Pin_Gruen, 15);
    analogWrite(Pin_Blau, 80);
  } else if (derzeitige_Farbe == 2) {
    if (millis() > Zeit + 500) {
      Zeit = millis();
      analogWrite(Pin_Rot, random(255));
      analogWrite(Pin_Gruen, random(255));
      analogWrite(Pin_Blau, random(255));
    }
  } else {
    derzeitige_Farbe = 0;
  }
}
