#!/bin/bash

#This script completely removes a FuguHub installation.
#chmod uninstall.sh;./uninstall.sh


export XUID=`id -u`
if [ "$XUID" != "0" ]; then
    echo "$0 must be run as root"
    echo "Example: sudo bash $0"
    exit 1
fi

if [ ! -f "/home/bd/bdd.conf" ]; then
    echo "FuguHub is not installed!"
    sleep 2
    exit 1
fi

read -p "Are you sure you want to uninstall FuguHub and delete all files (y/N)?"

if [ "$REPLY" != "y" ]; then
    exit 1
fi


/etc/init.d/bdd stop
sleep 2
rm /etc/rc2.d/S99bdd
rm /etc/rc3.d/S99bdd
rm /etc/rc4.d/S99bdd
rm /etc/rc5.d/S99bdd
rm /etc/init.d/bdd

userdel -r bd
