#!/bin/python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
# Robotik mit dem Raspberry Pi
# E.F.Engelhardt, Franzis Verlag, 2014
# -----------------------------------------------------------------------
# Funktion neato-start-clean.py
#       startet Reinigung der Wohnung und simuliert das Drcken des Buttons

import serial
con = serial.Serial('/dev/ttyACM0', 115200, timeout=1)
print "--------------------------"
print "Verbindung zu: ",con.portstr       #check welcher Port in Benutzung
print "--------------------------"
print "Befehl: ",con.write('clean\015') # wichtig: immer carriage return = \015 mit dazu ;)
feedback  = con.read(1866) # die zeichenanzahl ggf anpassen
print "Rckmeldung : ", feedback
print "-----------------------------------------"
con.close()             # port schliessen
