# -*- coding: utf-8 -*-
#!/usr/bin/python
# -----------------------------------------------------------------------
# E.F.Engelhardt, Franzis Verlag, 2015
# -----------------------------------------------------------------------
# readekeyudp.py
# Verzeichnis: /ekeyudp
#
import socket
localHost = ''
localPort = 56000
# ip address eKey udp converter
ekey = '192.168.123.250'
# port number UDP packet
ekeyPort = 56000
# delimiter from eKey udp converter
ekeyDelimiter='\#'
# mode can be RARE, MULTI, HOME
ekeyMode='HOME'
# 
s = socket.socket(socket.AF_INET, socket.SOCK_DGRAM)
s.setsockopt(socket.SOL_SOCKET, socket.SO_BROADCAST, 1)
s.bind((localHost, localPort))
s.connect((ekey, ekeyPort))
#
try:
# Dauer-Schleife
   while True:
      print('Listening on {0}:{1} for traffic from {2}:{3}'.format(localHost, localPort, ekey, ekeyPort))
      data = s.recv(1024)
      print('Received: {0}'.format(data))
      print('Length UDP Paket: {0}'.format(len(data)))
      print('-------------------\n')

except KeyboardInterrupt:
   s.close()
   # CTRL-C gedrueckt
   print "[ EKEY UDP ] UDP-Port Lauschen wurde abgebrochen."
   print '=' * 100
# ----------------------- EOF  ---------------------------

