#!/usr/bin/python
# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Python-Steuerung fuer Hue-Lampen
# Datei : lampe_step3.py
#------------------------------------------------------------
import pyhue
import time
import sys
IP_HUE='192.168.123.87'
delaysec=10
b = pyhue.Bridge(IP_HUE,'IHRKEY')

def alle_birnen_an():
# alles an
	for light in b.lights:
		light.on = True
		light.hue = 0

def alle_birnen_aus():
# alles aus
	for light in b.lights:
	     	light.on = False

def main():
#	alle_birnen_aus()
#	print "Lampen wurden ausgeschaltet"
#	print "Warte ", delaysec, " Sekunden..."
#	time.sleep(delaysec)
#	print "Lampen wurden eingeschaltet"
# alternative zum ein/ausschalten
#	alle_birnen_an()
#	switch_birnen('on')
#	switch_birnen('off')
	birnen_info()
	switch_birne(2,'off')
	print "Warte ", delaysec, " Sekunden..."
	time.sleep(delaysec)
	switch_birne(2, 'on')
	set_birne_farbe (2,'gruen')
	time.sleep(delaysec)
	set_birne_farbe (2,'violett')


def switch_birne(id, sw):
	for light in b.lights:
           if int(light.id) == int(id):
                if sw == 'on':
                        light.on = True
                        light.hue = 0
                        print "Es wird Lampe <", id , "> eingeschaltet"
                elif sw == 'off':
                        light.on = False
                        print "Es wird Lampe <", id, "> ausgeschaltet"
                elif sw == '': 
	                light.on == False
			print "Es wird Lampe <", id , "> ausgeschaltet"
		elif sw <> '':
			print "Es wird Lampe <", id, "> ausgeschaltet"
			light.on = False

def set_birne_farbe(id, light_color):
    # Aufruf set_birne_farbe(1,"blau")
    # Farben: off, weiss, rot, gruen, violett, pink, blau, gelb
    # Farbdefinitionen unter: http://chir.ag/projects/name-that-color/
    for light in b.lights:
        if int(light.id) == int(id):
		if light_color == "off":
			light.on = False
		else:
			if light.on == False:
				light.on = True
		if light_color == "weiss":
			light.bri = 250
			light.hue = 14923
			light.sat = 144
			light.xy = [0.4596, 0.4105]
		if light_color == "gelb":
			light.bri = 250
			light.hue = 19887
			light.sat = 254
			light.xy = [0.4304, 0.5023]
		if light_color == "rot":
			light.bri = 250
			light.hue = 49746
			light.sat = 235
			light.xy = [0.6449, 0.0329]
		if light_color == "violett":
			light.bri = 250
			light.hue = 46031
			light.sat = 228
			light.xy = [0.2336, 0.1127]
		if light_color == "pink":
			light.bri = 250
			light.hue = 47793
			light.sat = 211
			light.xy = [0.3628, 0.1808]
		if light_color == "blau":
			light.bri = 250
			light.hue = 47108
			light.sat = 254
			light.xy = [0.166, 0.04]
		if light_color == "gruen":
			light.bri = 250
			light.hue = 23543
			light.sat = 254
			light.xy = [0.3919, 0.484]

def switch_birnen(sw):
        anzahl_hue_birnen=0
	id_hue_birne=0
	print "Es werden alle angeschlossenen Lampen eingeschaltet"
        for light in b.lights:
                id_hue_birne = id_hue_birne + 1
                if sw == 'on':
                        light.on = True
			light.hue = 0
			#b.set_light(anz_hue_birnen, 'on' , True)
                        print "Es wird Lampe <", id_hue_birne , "> eingeschaltet"
                elif sw == 'off':
                        #b.set_light(anz_hue_birnen, 'on', False)
			light.on = False
                        print "Es wird Lampe <", id_hue_birne, "> ausgeschaltet"
                elif sw == '':
			light.on = False
                        # b.set_light(anz_hue_birnen, 'on', False)
                        print "Es wird Lampe <", id_hue_birne, "> ausgeschaltet"
	anzahl_hue_birnen = id_hue_birne

def birnen_info():
        anzahl_hue_birnen=0
        id_hue_birne=0
        print "Es werden alle angeschlossenen Lampen gezeigt"
        for light in b.lights:
		print '+' * 80
		print "+  LAMPE Nr. <" , light.id ,"> "
		print '+' * 80
		print "+ light.state", light.state
		print "+ light.type", light.type
		print "+ light.name", light.name
		print "+ light.modelid", light.modelid
		print "+ light.swversion", light.swversion
		print "+ light.pointsymbol", light.pointsymbol
		print "+ -"
		if hasattr(light,'ct'):
			print "+ id: ", light.id, " | Name :" , light.name, "| Eingeschaltet? : ", light.on, "| Helligkeit: ", light.bri, "| Saettigung", light.sat, "| xy: ", light.xy, "| Farbtemperatur: ", light.ct, "| Hue: ", light.hue, "| Colormode: ", light.colormode
		else:
			print "+ id: ", light.id, " | Name :" , light.name, "| Eingeschaltet? : ", light.on, "| Helligkeit: ", light.bri, "| Saettigung", light.sat, "| xy: ", light.xy, "| Farbtemperatur: Keine | Hue: ", light.hue,  "| Colormode: ", light.colormode
		print '+' * 80
		print "~"
if __name__ == '__main__':
        main()
sys.exit(0)
# --------------------------- EOF --------------------------------------

