#!/bin/bash
# ----------------------------------------------------
# Smart-Home mit Raspberry Pi-Projekte
# E.F.Engelhardt, Franzis Verlag, 2016
# ----------------------------------------------------
# Skript: curute.sh
#  Hier erfolgt der Einschaltbefehl fuer die Rutenbeck-Steckdose
#  oder einer anderen per IP / http ansteuerbare IP-Steckdose
#  
CURL='/usr/bin/curl'
#CURLARGS="-f -s -S -k -v"
CURLARGS="--silent"
HTTPON="http://192.168.123.204/leds.cgi?led=1\&value=Einschalten"
# HTTPOFF="http://192.168.123.204/leds.cgi?led=1\&value=Ausschalten"
# Ereignis in Variable
raw="$($CURL $CURLARGS $HTTPON)"
# oder Ergebnis in Datei
$CURL $CURLARGS $HTTPON > /tmp/rutenbeck-dose
echo $raw
# ----------------------------------------------------
