#!/bin/bash
# -----------------------------------------------------------------------
# Smart-Home mit Raspberry Pi-Projekte
# E.F.Engelhardt, Franzis Verlag, 2016
# -----------------------------------------------------------------------
# Skript: udpswitch.sh
#  UDP Kommandos fuer die Rutenbeck-Steckdosen TC IP 1CMD
#
BASENAME="$(basename $0)"
CMD=$1 # OUT, TEMP, SPANN, STROM, POWER
TYP=$2 # INDEX
ARG=$3 # ACTION
# -----------------------------------------------------------------------
SENDIP="/usr/bin/sendip"
UTPIP4PI="192.168.123.30"
UTPIP4RUTE1="192.168.123.203"
UTPPORT="30303"
# -----------------------------------------------------------------------
SENDIPARGSPI=" -p ipv4 -is "
SENDIPARGSUDP=" -p udp -us ${UTPPORT} -ud ${UTPPORT} -d "
# fuer debugging 
# SENDIPARGSRUTE1=" -v "
SENDIPARGSRUTE1=" "
# -----------------------------------------------------------------------
# bei OUT 3 Parameter notw.
# bei T, U, I, E keiner
# -----------------------------------------------------------------------
echo $CMD
if [[ ${CMD}=="out" ]];then
CMD="OUT"
fi
echo $TYP
# TC IP4 unterstuetzt kein UDP -> TYP=1
echo $ARG
# -----------------------------------------------------------------------
case $CMD in
   OUT)
    if [[ ${TYP}=="" ]];then
     TYP="1"
    elif [[ ${ARG}=="" ]];then
     ARG="0"
    fi
    UTPCMD="OUT${TYP} ${ARG}"
    echo BEFEHL:$UTPCMD
    ;;
  TEMP)
    UTPCMD="T ?"
    ;;
  SPANN)
    UTPCMD="U ?"
    ;;
  STROM)
    UTPCMD="I ?"
    ;;
  POWER)
    UTPCMD="E ?"
    ;;
  *)
    UTPCMD="OUT1 0"
        ;;
esac
# -----------------------------------------------------------------------
# Steckdose einschalten
# UTPCMDON="OUT1 1"
# Steckdose ausschalten
# UTPCMDOFF="OUT1 0"
# -----------------------------------------------------------------------
# UTPCMD=${UTPCMDOFF}
# -----------------------------------------------------------------------
SENDIPCMD="${SENDIP}${SENDIPARGSPI}${UTPIP4PI}${SENDIPARGSUDP}\"${UTPCMD}\"${SENDIPARGSRUTE1}${UTPIP4RUTE1}"
raw=$(${SENDIP}${SENDIPARGSPI}${UTPIP4PI}${SENDIPARGSUDP}"${UTPCMD}"${SENDIPARGSRUTE1}${UTPIP4RUTE1})
echo -------------------------------------------
echo "-> Aufgerufener Befehl\= $SENDIPCMD"
echo -------------------------------------------
# oder Ergebnis in Datei
# echo $SENDIPCMD > /tmp/utp-rutenbeck-dose
echo $raw
echo -------------------------------------------
# -----------------------------------------------------------------------
