# -----------------------------------------------------------------------
# E.F.Engelhardt, Franzis Verlag, 2016
# -----------------------------------------------------------------------
# Skript: temp-wein.sh
# Verzeichnis: /home/pi/emsys/Raspi-SHT21-V3_0_0/source
#!/bin/bash
tmpdata="/home/pi/emsys/Raspi-SHT21-V3_0_0/source/tmp.txt"
TimeString=$(date +"%d.%m.%Y %H:%M:%S")
echo "Zeit: $TimeString"
if test -d $tmpdata; then rm $tmpdata; fi
./sht21 S > $tmpdata
temperatur=$( less $tmpdata | cut -d"   " -f1)
feuchte=$( less $tmpdata | cut -d"      " -f2)
echo "Temperatur : " $temperatur "Grad Celsius"
echo "Feuchte : " $feuchte "Prozent"
if test $feuchte -ge 55;then
echo "Achtung Schimmelgefahr  groesser 55 %"
# sendemail oder gnokii-aufruf bzw. skript-name hierher
else
echo "keine Schimmelgefahr"
fi
max="18"
if test ${temperatur/.*} -ge $max;then
echo "Achtung Temperatur Weinlager  groesser " $max " Grad Celsius"
# sendemail oder gnokii-aufruf bzw. skript-name hierher
else
echo "Temperatur OK"
fi
