#!/usr/bin/python
# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Python-Steuerung fuer Wifi-Lampen
# Datei : wifi-led.py
#------------------------------------------------------------
import time
from optparse import OptionParser
import wifileds
#------------------------------------------------------------
# ip adresse und port anpassen! 
wlan_ip_address='192.168.123.100'
udp_port='50000'
#------------------------------------------------------------
if __name__=="__main__":
    parser = OptionParser()
    parser.add_option('-a', '--address', default=wlan_ip_address, help='Wifi-Controller IP-Adresse')
    parser.add_option('-p', '--port', type='int', default=udp_port, help='Wifi-Controller IP-Adresse')
    (options, args) = parser.parse_args()
    print '=' * 80
    print 'Verbindung zur Wifi-Bridge wird aufgebaut...'
    led_connection = wifileds.limitlessled.connect(options.address, options.port)
    print 'Alle farbige Lampen werden eingeschaltet...'
    led_connection.rgb.all_on()
    print 'Hochdimmen...'
    led_connection.rgb.effect('fade_up')

