#!/usr/bin/python
# -*- coding: utf-8 -*-
import RPi.GPIO as GPIO
import time

GPIO.setmode(GPIO.BCM)

seg={'a':11, 'b':7, 'c':15, 'd':17, 'e':22, 'f':8, 'g':10}
for i in "abcdefg":
  GPIO.setup(seg[i], GPIO.OUT, initial=True)

zif=[25, 24, 23, 14]
for i in zif:
  GPIO.setup(i, GPIO.OUT, initial=False)

dp = 18
GPIO.setup(dp, GPIO.OUT, initial=True)

zahl=[
  "abcdef",  #0
  "bc",      #1
  "abdeg",   #2
  "abcdg",   #3
  "bcfg",    #4
  "acdfg",   #5
  "acdefg",  #6
  "abc",     #7
  "abcdefg", #8
  "abcdfg",  #9
    ]

z = [0,0,0,0]
print ("Strg+C beendet das Programm")

try:
  while True:
    zeit = time.localtime()
    h = zeit.tm_hour
    m = zeit.tm_min
    z[0] = h / 10
    z[1] = h % 10
    z[2] = m / 10
    z[3] = m % 10
    for i in range(4):
      for s in "abcdefg":
        GPIO.output(seg[s], True)
      GPIO.output(zif[i], True)
      for s in zahl[z[i]]:
        GPIO.output(seg[s], False)
      if i == 1:
        GPIO.output(dp, False)
      else:
        GPIO.output(dp, True)
      time.sleep(0.001)
      GPIO.output(zif[i], False)

except KeyboardInterrupt:
  GPIO.cleanup()
