# -*- coding: utf-8 -*-
#!/usr/bin/python
# -----------------------------------------------------------------------
# E.F.Engelhardt, Franzis Verlag, 2016
# -----------------------------------------------------------------------
# Funktion tempsensor.py
#
# Import sys module
import sys
import os
from time import *
# Vorausetzung hier:
# -> sudo modprobe w1_gpio
# -> sudo modprobe w1_therm

def main():
# 1-wire Geraeteliste:
# oeffnen, einlesen und schliessen
 datei = open('/sys/devices/w1_bus_master1/w1_master_slaves')
 w1_slaves = datei.readlines()
 datei.close()
# Tabellenausgabe formatieren
 os.system("clear")
 print(' Datum-Uhrzeit         | Celsius  | Sensor (ID) ')
 print('---------------------------------------------------------')
 # Fuer jedes gefundene Geraet..
 for zeile in w1_slaves:
   # Auseinanderparsen..
   w1_slave = zeile.split("\n")[0]
   # entsprechende w1_slave-Datei des jeweiligen Device oeffnen
   datei = open('/sys/bus/w1/devices/' + str(w1_slave) + '/w1_slave')
   # und lesen
   dateiinhalt = datei.read()
   # dann schliessen
   datei.close()
   # Temp auslesen in der zweiten Zeile, 9te Element
   tempwert = dateiinhalt.split("\n")[1].split(" ")[9]
   # Typumwandlung, den Tausender entfernen
   tempsensor = float(tempwert[2:]) / 1000
   # Temperatur ausgeben
   # 10-0008028a8706 = Wohnzimmer-fenster
   print(strftime("%d.%m.%Y") + ' um '+ strftime("%H:%M:%S") + ' | %4.2f �C' %tempsensor  + ' | ' + sensorname(w1_slave)  )

#
# Sensorbeschriftung falls mehrere im Einsatz
def sensorname(str):
 if str == '10-0008028a8706':
  retstr='WZ-Sensor'
 elif str == '10-0008028a8707':
  retstr='WZ-Sensorfenster'
 elif str == '10-0008028a88ea':
  retstr='Kellerwand'
 elif str <> '':
  retstr=str
return retstr

if __name__ == '__main__':
        main()
sys.exit(0)
# -----------------------------------------------------------------------
