#!/usr/bin/python
# -*- coding: utf-8 -*-
#------------------------------------------------------------
# Python-Steuerung fuer Wifi-Lampen
# Datei :  switch2.py
# Aufruf mit: python switch2.py -c 1 2
#------------------------------------------------------------
import time
from optparse import OptionParser
import wifileds
#------------------------------------------------------------
# ip adresse und port anpassen! 
wlan_ip_address='192.168.123.100'
udp_port='50000'
color=0
#------------------------------------------------------------
if __name__=="__main__":
    parser = OptionParser()
    parser.add_option('-a', '--address', default=wlan_ip_address, help='Wifi-Controller IP-Adresse')
    parser.add_option('-p', '--port', type='int', default=udp_port, help='Wifi-Controller UDP-Adresse')
    parser.add_option('-c', '--color', type='int', default=color, help='Wifi-Controller Farbe fuer LED-Lampe')
    (options, args) = parser.parse_args()
    print '=' * 80
    print 'Verbindung zur Wifi-Bridge wird aufgebaut...'
    led_connection = wifileds.limitlessled.connect(options.address, options.port)
    print 'Alle farbige Lampen werden eingeschaltet...'
    led_connection.rgb.all_on()
    if int(args[0]) >= 0 and int(args[0]) <= 16:
	    color = int(args[0])
	    print 'Hochdimmen mit Farbe...', color
	    led_connection.rgb.effect('fade_up')
	    if (color==0):
		print 'Farbwechsel auf violett...'
		led_connection.rgb.set_color('violet')    
	    if (color==1):
    		print 'Farbwechsel auf blau...'
		led_connection.rgb.set_color('royal_blue')
		time.sleep(1)
	    if (color==2):
		print 'Farbwechsel nach baby blau...'
		led_connection.rgb.set_color('baby_blue')
		time.sleep(1)
	    if (color==3):
	        print 'Farbwechsel nach aqua blau...'
	        led_connection.rgb.set_color('aqua')
	        time.sleep(1)
	    if (color==4):
	        print 'Farbwechsel nach baby blau...'
	        led_connection.rgb.set_color('baby_blue')
        	time.sleep(1)
	    if (color==5):
	        print 'Farbwechsel nach minze...'
	        led_connection.rgb.set_color('mint')
	        time.sleep(1)
	    if (color==6):
	        print 'Farbwechsel nach seafoam_gruen...'
	        led_connection.rgb.set_color('seafoam_green')
	        time.sleep(1)
	    if (color==7):
	        print 'Farbwechsel nach gruen...'
	        led_connection.rgb.set_color('green')
	        time.sleep(1)
	    if (color==8):
	        print 'Farbwechsel nach lime gruen...'
        	led_connection.rgb.set_color('lime_green')
	        time.sleep(1)
	    if (color==9):
	        print 'Farbwechsel nach gelb...'
        	led_connection.rgb.set_color('yellow')
	        time.sleep(1)
	    if (color==10):
        	print 'Farbwechsel nach gelb orange...'
	        led_connection.rgb.set_color('yellow_orange')
        	time.sleep(1)
	    if (color==11):
	        print 'Farbwechsel nach orange...'
	        led_connection.rgb.set_color('orange')
        	time.sleep(1)
	    if (color==12):
	        print 'Farbwechsel nach rot...'
	        led_connection.rgb.set_color('red')
        	time.sleep(1)
	    if (color==13):
        	print 'Farbwechsel nach fusia...'
	        led_connection.rgb.set_color('fusia')
	        time.sleep(1)
	    if (color==14):
	        print 'Farbwechsel nach lila...'
	        led_connection.rgb.set_color('lilac')
	        time.sleep(1)
	    if (color==15):
	        print 'Farbwechsel nach lavendel...'
	        led_connection.rgb.set_color('lavendar')
    else:
	# color = 0
	print 'Farbwechsel auf violett...'
        led_connection.rgb.set_color('violet')
	
