<!--  
Design ......... :  Nature vegetal (C)2012 http://www.lady-beetle.com
Weather template : Weather by You! (C)2012 http://www.weatherbyyou.com
Date ........... : 2012/06/04
-->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <meta http-equiv="Content-Type" content="text/html;" />
  <title>pywws - My personnal weather site</title>
  <meta http-equiv="pragma" content="no-cache" />
  <meta http-equiv="expires" content="-1" />
  <meta http-equiv="Cache-control" content="no-cache" />
  <link href="styles.css" rel="stylesheet" type="text/css" media="all" />
  <link rel="shortcut icon" href="favicon.ico" />
  <script type="text/javascript"> <!--
    // Month and day names. Replace by your own for foreign languages
    var DayName = new Array("Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday");
    var MonthName = new Array("January", "Febuary", "March", "April", "May", "June", "July", 
        "August", "September", "October", "November", "December");
    //-->
  </script>
</head>
<body>
<div id="page">
  <div id="header">
    <!-- Text to be adapted for your site name and slogan  -->
    <div id="header_part1">pywws<br /><span>Python software for USB Wireless WeatherStations</span></div>
    <div id="header_part2"></div>
  </div>
  <!--  Section for main menu, all grey bar long  -->
  <div id="menubar">
    <div id="header_left">
      <!--  Script to insert today's date  -->
      <script type="text/javascript"> <!--
        var CurrentDate = new Date();
        var DateCur = CurrentDate.getDate();
        var DayNumber = CurrentDate.getDay();
        var MonthNumber = CurrentDate.getMonth();
        var Year = CurrentDate.getFullYear();
        document.write(DayName[DayNumber] + ", " + DateCur + " " + MonthName[MonthNumber] + " " + Year); //-->
      </script>
    </div>
    <a id="home" href="index.php"> >> Home</a>
    <div id="mainmenu">
      <ul>
        <li><a href="index.php?page=1hour" >1 hour</a></li>
        <li><a href="index.php?page=6hours" >6 hour</a></li>
        <li><a href="index.php?page=24hours" >24 hours</a></li>
        <li><a href="index.php?page=7days" >7 days</a></li>
        <li><a href="index.php?page=months" >Months</a></li>
      </ul>
    </div>
    <div id="cemter_menubar">Observations for last</div>
  </div>
  <div id="content_head"></div>
  <div id="content">
    <!--  Left side panel  -->
    <div id="left_col">
      <h2 class="no_margin">Forecast</h2>
      <div id="today_forecast" class="forecast"></div>
      <?php
        require_once('data/forecast_icon_9am.txt')
      ?>
      <br /><hr />
      <h3 class="no_margin">Graphs</h3>
      <hr />
      <!-- Left side menu  -->
      <ul class="sidemenu">
        <li><a href="index.php?page=24h_graph">24 hours</a></li>
        <li><a href="index.php?page=24hfull_graph">24 hours full</a></li>
        <li><a href="index.php?page=7days_graph">7 days</a></li>
        <li><a href="index.php?page=28days">28 days</a></li>
        <li><a href="index.php?page=2012">Year 2012</a></li>
        <li><a href="index.php?page=rose_1hr">Wind: 1 hour</a></li>
        <li><a href="index.php?page=rose_12hrs">Wind: 12 hours</a></li>
        <li><a href="index.php?page=rose_24hrs">Wind: 24 hours</a></li>
      </ul>
      <br /><hr />
      <h3 class="no_margin">Links</h3>
      <hr />
      <ul class="sidemenu">
        <li><a href="http://www.metoffice.gov.uk/">Met Office</a></li>
        <li><a href="http://weather.weatherbug.com/">WeatherBug</a></li>
        <li><a href="http://www.wunderground.com/">Weather Underground</a></li>
      </ul>
    </div>
    <!--  Right side (main) panel  -->
    <div id="main_panel">
      <h1>My personnal weather site</h1>
      <!-- Container for swapping content  -->
      <div id="weather_infos">
        <?php
          if (!isset($_GET['page'])) {
            require_once('index.txt');
          }
          else {
            $page = $_GET['page'];
            // echo '<h1>'.$page.'</h1>';
            switch ($page) {
              case "1hour":
                    require_once('data/1hrs.txt');
                    break;
              case "6hours":
                    require_once('data/6hrs.txt');
                    break;
              case "24hours":
                    require_once('data/24hrs.txt');
                    break;
              case "7days":
                    require_once('data/7days.txt');
                    break;
              case "months":
                    require_once('data/allmonths.txt');
                    break;
              case "24h_graph":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/24hrs.png" alt="" title=""  /></p>';
                    break;
              case "24hfull_graph":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/24hrs_full_features.png" alt="" title=""  /></p>';
                    break;
              case "7days_graph":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/7days.png" alt="" title=""  /></p>';
                    break;
              case "28days":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/28days.png" alt="" title=""  /></p>';
                    break;
              case "2012":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/2012.png" alt="" title=""  /></p>';
                    break;
              case "rose_1hr":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/rose_1hr.png" alt="" title=""  /></p>';
                    break;
              case "rose_12hrs":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/rose_12hrs.png" alt="" title=""  /></p>';
                    break;
              case "rose_24hrs":
                    echo '<h2>Last 24 hours graphs</h2>';
                    echo '<p><img src="data/rose_24hrs.png" alt="" title=""  /></p>';
                    break;
            };
          }
        ?>
      </div>
    </div>
    <div style="clear: both"></div>
  </div>
  <div id="content_footer"></div>
  <div id="footer">
    <a id="pywws-link" href="http://code.google.com/p/pywws/">&nbsp;</a>
    <p>&copy;<small> 2012 My</small> personnal weather site</p>
  </div>
  <div id="copyright">
    Provided By <a href="http://www.weatherbyyou.com/" title="Free Weather website templates">Weather by You  2012</a> <small>|</small> <a href="http://www.lady-beetle.com/" title="Free Templates"> 2009 Lady Beetle</a>
  </div>
</div>
</body>
</html>